> For the complete documentation index, see [llms.txt](https://docs.platform9.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform9.com/api-docs/block-storage-service/group-snapshots.md).

# Group Snapshots

Group snapshot management

## List group snapshots

> Lists all group snapshots

```json
{"openapi":"3.0.3","info":{"title":"OpenStack Block Storage API (Cinder)","version":"3.71"},"tags":[{"name":"group-snapshots","description":"Group snapshot management"}],"servers":[{"url":"https://{host}/cinder","description":"PCD Block Storage API v3","variables":{"host":{"default":"example.platform9.com","description":"The PCD controlplane hostname"}}}],"security":[{"pcdAuth":[]}],"components":{"securitySchemes":{"pcdAuth":{"name":"X-Auth-Token","type":"apiKey","in":"header","description":"PCD Identity Service token authentication"}},"parameters":{"AllTenantsQuery":{"name":"all_tenants","description":"Shows details for all project. Admin only.","schema":{"type":"string"},"in":"query"},"SortQuery":{"name":"sort","description":"Comma-separated list of sort keys and optional sort directions","schema":{"type":"string"},"in":"query"},"SortKeyQuery":{"name":"sort_key","description":"Sorts by an attribute","schema":{"type":"string"},"in":"query"},"SortDirQuery":{"name":"sort_dir","description":"Sorts by direction (asc or desc)","schema":{"enum":["asc","desc"],"type":"string"},"in":"query"},"LimitQuery":{"name":"limit","description":"Requests a page size of items","schema":{"minimum":1,"type":"integer"},"in":"query"},"OffsetQuery":{"name":"offset","description":"Used in conjunction with limit to return items starting from the offset position","schema":{"minimum":0,"type":"integer"},"in":"query"},"MarkerQuery":{"name":"marker","description":"The ID of the last-seen item","schema":{"type":"string"},"in":"query"}},"schemas":{"GroupSnapshotsSimple":{"type":"object","properties":{"group_snapshots":{"type":"array","items":{"$ref":"#/components/schemas/GroupSnapshotSimple"}}}},"GroupSnapshotSimple":{"type":"object","properties":{"id":{"format":"uuid","description":"The UUID of the group snapshot","type":"string"},"name":{"nullable":true,"description":"The group snapshot name","type":"string"}}}}},"paths":{"/v3/group_snapshots":{"get":{"tags":["group-snapshots"],"parameters":[{"$ref":"#/components/parameters/AllTenantsQuery"},{"$ref":"#/components/parameters/SortQuery"},{"$ref":"#/components/parameters/SortKeyQuery"},{"$ref":"#/components/parameters/SortDirQuery"},{"$ref":"#/components/parameters/LimitQuery"},{"$ref":"#/components/parameters/OffsetQuery"},{"$ref":"#/components/parameters/MarkerQuery"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupSnapshotsSimple"}}},"description":"OK"}},"summary":"List group snapshots","description":"Lists all group snapshots"}}}}
```

## Create group snapshot

> Creates a group snapshot

```json
{"openapi":"3.0.3","info":{"title":"OpenStack Block Storage API (Cinder)","version":"3.71"},"tags":[{"name":"group-snapshots","description":"Group snapshot management"}],"servers":[{"url":"https://{host}/cinder","description":"PCD Block Storage API v3","variables":{"host":{"default":"example.platform9.com","description":"The PCD controlplane hostname"}}}],"security":[{"pcdAuth":[]}],"components":{"securitySchemes":{"pcdAuth":{"name":"X-Auth-Token","type":"apiKey","in":"header","description":"PCD Identity Service token authentication"}},"schemas":{"GroupSnapshotCreateRequest":{"type":"object","properties":{"group_snapshot":{"required":["group_id"],"type":"object","properties":{"group_id":{"format":"uuid","description":"The UUID of the source group","type":"string"},"name":{"description":"The group snapshot name","type":"string"},"description":{"description":"The group snapshot description","type":"string"}}}}},"GroupSnapshotResponse":{"type":"object","properties":{"group_snapshot":{"$ref":"#/components/schemas/GroupSnapshot"}}},"GroupSnapshot":{"type":"object","properties":{"id":{"format":"uuid","description":"The UUID of the group snapshot","type":"string"},"name":{"nullable":true,"description":"The group snapshot name","type":"string"},"description":{"nullable":true,"description":"The group snapshot description","type":"string"},"status":{"description":"The group snapshot status","type":"string"},"group_id":{"format":"uuid","description":"The UUID of the source group","type":"string"},"group_type_id":{"format":"uuid","description":"The UUID of the group type","type":"string"},"created_at":{"format":"date-time","description":"The date and time when the resource was created","type":"string"},"user_id":{"format":"uuid","description":"The UUID of the user","type":"string"},"project_id":{"format":"uuid","description":"The UUID of the project","type":"string"}}}}},"paths":{"/v3/group_snapshots":{"post":{"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupSnapshotCreateRequest"}}},"required":true},"tags":["group-snapshots"],"responses":{"202":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupSnapshotResponse"}}},"description":"Accepted"}},"summary":"Create group snapshot","description":"Creates a group snapshot"}}}}
```

## List group snapshots with details

> Lists all group snapshots with details

```json
{"openapi":"3.0.3","info":{"title":"OpenStack Block Storage API (Cinder)","version":"3.71"},"tags":[{"name":"group-snapshots","description":"Group snapshot management"}],"servers":[{"url":"https://{host}/cinder","description":"PCD Block Storage API v3","variables":{"host":{"default":"example.platform9.com","description":"The PCD controlplane hostname"}}}],"security":[{"pcdAuth":[]}],"components":{"securitySchemes":{"pcdAuth":{"name":"X-Auth-Token","type":"apiKey","in":"header","description":"PCD Identity Service token authentication"}},"parameters":{"AllTenantsQuery":{"name":"all_tenants","description":"Shows details for all project. Admin only.","schema":{"type":"string"},"in":"query"},"SortQuery":{"name":"sort","description":"Comma-separated list of sort keys and optional sort directions","schema":{"type":"string"},"in":"query"},"SortKeyQuery":{"name":"sort_key","description":"Sorts by an attribute","schema":{"type":"string"},"in":"query"},"SortDirQuery":{"name":"sort_dir","description":"Sorts by direction (asc or desc)","schema":{"enum":["asc","desc"],"type":"string"},"in":"query"},"LimitQuery":{"name":"limit","description":"Requests a page size of items","schema":{"minimum":1,"type":"integer"},"in":"query"},"OffsetQuery":{"name":"offset","description":"Used in conjunction with limit to return items starting from the offset position","schema":{"minimum":0,"type":"integer"},"in":"query"},"MarkerQuery":{"name":"marker","description":"The ID of the last-seen item","schema":{"type":"string"},"in":"query"}},"schemas":{"GroupSnapshotsDetail":{"type":"object","properties":{"group_snapshots":{"type":"array","items":{"$ref":"#/components/schemas/GroupSnapshot"}}}},"GroupSnapshot":{"type":"object","properties":{"id":{"format":"uuid","description":"The UUID of the group snapshot","type":"string"},"name":{"nullable":true,"description":"The group snapshot name","type":"string"},"description":{"nullable":true,"description":"The group snapshot description","type":"string"},"status":{"description":"The group snapshot status","type":"string"},"group_id":{"format":"uuid","description":"The UUID of the source group","type":"string"},"group_type_id":{"format":"uuid","description":"The UUID of the group type","type":"string"},"created_at":{"format":"date-time","description":"The date and time when the resource was created","type":"string"},"user_id":{"format":"uuid","description":"The UUID of the user","type":"string"},"project_id":{"format":"uuid","description":"The UUID of the project","type":"string"}}}}},"paths":{"/v3/group_snapshots/detail":{"get":{"tags":["group-snapshots"],"parameters":[{"$ref":"#/components/parameters/AllTenantsQuery"},{"$ref":"#/components/parameters/SortQuery"},{"$ref":"#/components/parameters/SortKeyQuery"},{"$ref":"#/components/parameters/SortDirQuery"},{"$ref":"#/components/parameters/LimitQuery"},{"$ref":"#/components/parameters/OffsetQuery"},{"$ref":"#/components/parameters/MarkerQuery"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupSnapshotsDetail"}}},"description":"OK"}},"summary":"List group snapshots with details","description":"Lists all group snapshots with details"}}}}
```

## Show group snapshot details

> Shows details for a group snapshot

```json
{"openapi":"3.0.3","info":{"title":"OpenStack Block Storage API (Cinder)","version":"3.71"},"tags":[{"name":"group-snapshots","description":"Group snapshot management"}],"servers":[{"url":"https://{host}/cinder","description":"PCD Block Storage API v3","variables":{"host":{"default":"example.platform9.com","description":"The PCD controlplane hostname"}}}],"security":[{"pcdAuth":[]}],"components":{"securitySchemes":{"pcdAuth":{"name":"X-Auth-Token","type":"apiKey","in":"header","description":"PCD Identity Service token authentication"}},"schemas":{"GroupSnapshotResponse":{"type":"object","properties":{"group_snapshot":{"$ref":"#/components/schemas/GroupSnapshot"}}},"GroupSnapshot":{"type":"object","properties":{"id":{"format":"uuid","description":"The UUID of the group snapshot","type":"string"},"name":{"nullable":true,"description":"The group snapshot name","type":"string"},"description":{"nullable":true,"description":"The group snapshot description","type":"string"},"status":{"description":"The group snapshot status","type":"string"},"group_id":{"format":"uuid","description":"The UUID of the source group","type":"string"},"group_type_id":{"format":"uuid","description":"The UUID of the group type","type":"string"},"created_at":{"format":"date-time","description":"The date and time when the resource was created","type":"string"},"user_id":{"format":"uuid","description":"The UUID of the user","type":"string"},"project_id":{"format":"uuid","description":"The UUID of the project","type":"string"}}}}},"paths":{"/v3/group_snapshots/{group_snapshot_id}":{"get":{"tags":["group-snapshots"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupSnapshotResponse"}}},"description":"OK"}},"summary":"Show group snapshot details","description":"Shows details for a group snapshot"}}}}
```

## Delete group snapshot

> Deletes a group snapshot

```json
{"openapi":"3.0.3","info":{"title":"OpenStack Block Storage API (Cinder)","version":"3.71"},"tags":[{"name":"group-snapshots","description":"Group snapshot management"}],"servers":[{"url":"https://{host}/cinder","description":"PCD Block Storage API v3","variables":{"host":{"default":"example.platform9.com","description":"The PCD controlplane hostname"}}}],"security":[{"pcdAuth":[]}],"components":{"securitySchemes":{"pcdAuth":{"name":"X-Auth-Token","type":"apiKey","in":"header","description":"PCD Identity Service token authentication"}},"responses":{"Accepted":{"description":"Request is accepted, but processing may take some time"}}},"paths":{"/v3/group_snapshots/{group_snapshot_id}":{"delete":{"tags":["group-snapshots"],"responses":{"202":{"$ref":"#/components/responses/Accepted"}},"summary":"Delete group snapshot","description":"Deletes a group snapshot"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.platform9.com/api-docs/block-storage-service/group-snapshots.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
